set(TBPLAS_TESTS basetest buildertest tbpmtest)

find_package(GTest REQUIRED)
if(GTest_FOUND)
    include_directories(${GTEST_INCLUDE_DIRS})
    link_libraries(${GTEST_BOTH_LIBRARIES})
endif()

# ========================== TBPLAS tests ==========================
message(STATUS "")
message(STATUS "  Tests to build:")

foreach(__module ${TBPLAS_TESTS})
    add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/${__module})
    message(STATUS "    " ${__module})
endforeach()

message(STATUS "")